{
  "name": "ant-design-pro",
  "version": "1.4.4",
  "description": "An out-of-box UI solution for enterprise applications",
  "private": true,
  "scripts": {
    "precommit": "npm run lint-staged",
    "start": "cross-env ESLINT=none roadhog dev",
    "start:no-proxy": "cross-env NO_PROXY=true ESLINT=none roadhog dev",
    "build": "cross-env ESLINT=none roadhog build",
    "site": "roadhog-api-doc static && gh-pages -d dist",
    "analyze": "cross-env ANALYZE=true roadhog build",
    "lint:style": "stylelint \"src/**/*.less\" --syntax less",
    "lint": "eslint --ext .js src mock tests && npm run lint:style",
    "lint:fix": "eslint --fix --ext .js src mock tests && npm run lint:style",
    "lint-staged": "lint-staged",
    "lint-staged:js": "eslint --ext .js",
    "test": "roadhog test",
    "test:component": "roadhog test ./src/components",
    "test:all": "node ./tests/run-tests.js",
    "prettier": "prettier --write ./src/**/**/**/*"
  },
  "dependencies": {
    "@antv/data-set": "^0.9.0",
    "@babel/polyfill": "^7.0.0-beta.36",
    "antd": "^3.8.0",
    "axios": "^0.18.0",
    "bizcharts": "^3.1.10",
    "bizcharts-plugin-slider": "^2.1.1",
    "classnames": "^2.2.5",
    "dva": "^2.2.3",
    "dva-loading": "^2.0.3",
    "enquire-js": "^0.2.1",
    "immutability-helper": "^2.7.1",
    "lodash": "^4.17.10",
    "lodash-decorators": "^6.0.0",
    "moment": "^2.19.3",
    "numeral": "^2.0.6",
    "omit.js": "^1.0.0",
    "path-to-regexp": "^2.1.0",
    "prop-types": "^15.5.10",
    "qs": "^6.5.0",
    "react": "^16.4.1",
    "react-container-query": "^0.11.0",
    "react-document-title": "^2.0.3",
    "react-dom": "^16.4.1",
    "react-fittext": "^1.0.0",
    "react-loadable": "^5.5.0",
    "rollbar": "^2.3.4",
    "setprototypeof": "^1.1.0",
    "url-polyfill": "^1.0.10"
  },
  "devDependencies": {
    "babel-eslint": "^8.1.2",
    "babel-plugin-dva-hmr": "^0.4.1",
    "babel-plugin-import": "^1.6.7",
    "babel-plugin-module-resolver": "^3.1.1",
    "babel-plugin-transform-decorators-legacy": "^1.3.4",
    "cross-env": "^5.1.1",
    "cross-port-killer": "^1.0.1",
    "enzyme": "^3.4.1",
    "eslint": "^5.0.0",
    "eslint-config-airbnb": "^17.0.0",
    "eslint-config-prettier": "^2.9.0",
    "eslint-plugin-babel": "^5.1.0",
    "eslint-plugin-compat": "^2.1.0",
    "eslint-plugin-import": "^2.8.0",
    "eslint-plugin-jsx-a11y": "^6.0.3",
    "eslint-plugin-markdown": "^1.0.0-beta.6",
    "eslint-plugin-react": "^7.0.1",
    "gh-pages": "^1.0.0",
    "husky": "^0.14.3",
    "lint-staged": "^7.2.0",
    "mockjs": "^1.0.1-beta3",
    "prettier": "1.14.2",
    "pro-download": "^1.0.1",
    "redbox-react": "^1.5.0",
    "regenerator-runtime": "^0.12.0",
    "roadhog": "^2.4.2",
    "roadhog-api-doc": "^1.1.2",
    "stylelint": "^9.2.1",
    "stylelint-config-prettier": "^4.0.0",
    "stylelint-config-standard": "^18.0.0"
  },
  "optionalDependencies": {
    "puppeteer": "^1.4.0"
  },
  "lint-staged": {
    "**/*.{js,jsx,less}": [
      "prettier --write",
      "git add"
    ],
    "**/*.{js,jsx}": "npm run lint-staged:js",
    "**/*.less": "stylelint --syntax less"
  },
  "engines": {
    "node": ">=8.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 10"
  ]
}
